Skip to content

Toggle global notification mute

PUT
/api/canvas/notifications/preferences/global-mute
curl --request PUT \
--url https://example.com/api/canvas/notifications/preferences/global-mute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "muted": true }'

Enable or disable all Slack DM comment notifications for this user.

Media type application/json
GlobalMuteRequest
object
muted
required
Muted
boolean
Example generated
{
"muted": true
}

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}